/*
 * main.h
 *
 *  Created on: 11 de mar de 2023
 *      Author: arne
 */

#ifndef MAIN_H_
#define MAIN_H_

//*****************************************************************************
// Arquivos incluídos
//*****************************************************************************
#include "stm32f10x.h"
#include "stm32f10x_gpio.h"
#include "stm32f10x_rcc.h"
#include "delay.h"
#include "lcd16x2.h"
#include "timerTIM2_STM.h"
#include "usart_STM.h"
#include "aux_dep.h"

#include "ring_comm.h"
#include "my_defines.h"

//*****************************************************************************
// Constantes globais
//*****************************************************************************

//*******************************************************************************
// Variáveis Externas do módulo
//*******************************************************************************
char TxRxbuf[TAMBUF];			//um único buffer de envio
char p[15];

volatile uint8_t LED_live;
volatile uint8_t autoriza;
volatile uint8_t time500ms;

volatile uint8_t state_mach;
volatile uint8_t counter;
volatile uint8_t prima;
volatile uint8_t envio;

volatile uint8_t mytimeout;
volatile uint8_t timeout_aut;

#ifdef __DEBUG__
volatile uint8_t debug;
#endif
#endif /* MAIN_H_ */
